# Uses of Interface
org.opensaml.soap.wstrust.CombinedHash

Packages that use CombinedHash
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of CombinedHash in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return CombinedHash
Modifier and Type
Method
Description
`CombinedHash`
Authenticator.`getCombinedHash()`
Returns the wst:CombinedHash child element.
Methods in org.opensaml.soap.wstrust with parameters of type CombinedHash
Modifier and Type
Method
Description
`void`
Authenticator.`setCombinedHash(CombinedHash combinedHash)`
Sets the wst:CombinedHash child element.

## Uses of CombinedHash in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement CombinedHash
Modifier and Type
Class
Description
`class`
`CombinedHashImpl`
CombinedHashImpl.
Fields in org.opensaml.soap.wstrust.impl declared as CombinedHash
Modifier and Type
Field
Description
`private CombinedHash`
AuthenticatorImpl.`combinedHash`
the wst:Authenticator/wst:CombinedHash child element.
Methods in org.opensaml.soap.wstrust.impl that return CombinedHash
Modifier and Type
Method
Description
`CombinedHash`
CombinedHashBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`CombinedHash`
CombinedHashBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`CombinedHash`
AuthenticatorImpl.`getCombinedHash()`
Returns the wst:CombinedHash child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type CombinedHash
Modifier and Type
Method
Description
`void`
AuthenticatorImpl.`setCombinedHash(CombinedHash newCombinedHash)`
Sets the wst:CombinedHash child element.